PHASE-ROTATE(1)

NAME
phase-rotate - Audio File Phase Rotator

SYNOPSIS
phase-rotate [ OPTIONS ] <file> [out-file]

DESCRIPTION
phase-rotate - Audio File Phase Rotation Util.

OPTIONS

-a, --angle <n>[,<n>]*
    specify phase angle to apply

-f, --fftlen <num>
    process-block size, freq. resolution

-h, --help
    display this help and exit

-l, --link-channels
    use downmixed mono peak for analysis

-s, --stride <num>
    analysis step-size

-v, --verbose
    show processing information

-V, --version
    print version information and exit

This utility analyzes the given audio file to find a phase-rotation angle that results in minimal digital-peak, while retaining overall sound and loudness.

If both input and output file are given, the analysis results applied, and a new file with optimized phase is written. Otherwise the analysis results are only printed to standard output.

Analysis is performed in two steps, first a coarse analysis is performed, calculating peak for angles distanced `stride' degrees apart. Then local minimums are explored in a second step.

Verbose analysis allows to plot the digital peak vs phase-rotation. The output is in gnuplot(1) data file format.

If the -a option is specified, no analysis is performed but the given, phase-angle(s) are directly applied. This requires both input and output files to be given. If a single angle is given it is applied to all channels of the file. Otherwise one has to specify the same number of phase-angles as there are channels in the file.

EXAMPLES
phase-rotate -l my-music.wav out-file.wav

phase-rotate -vv -s 3 my-music.wav

phase-rotate -a 10,20 in.wav out.wav

REPORTING BUGS
Report bugs to <https://github.com/x42/phaserotate.lv2/issues>
Website: <https://github.com/x42/phaserotate.lv2/>

COPYRIGHT
Copyright © GPL 2021 Robin Gareus <robin@gareus.org>